=== debian/changelog ===
fs-uae (2.2.3+dfsg-4ubuntu1) trusty; urgency=low

  * Add build-dependancy on libfreetype6-dev. Fixes FTBFS

 -- Jackson Doak <noskcaj@ubuntu.com>  Sun, 10 Nov 2013 06:26:22 +1100

fs-uae (2.2.3+dfsg-4) unstable; urgency=low

  * Update Debian JIT compiler disable patch to include
    kFreeBSD/i386 since the JIT doesn't build here either.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 05 Nov 2013 23:43:28 +0100

fs-uae (2.2.3+dfsg-3) unstable; urgency=low

  * Enable version mangling for debian/watch file.
  * Add Debian patch to enable build support for kFreeBSD.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 05 Nov 2013 22:33:47 +0100

fs-uae (2.2.3+dfsg-2) unstable; urgency=low

  * Remove entry for src/core.cw4.cpp in debian/copyright.
  * Fix formatting for email address for src/cdrom-handler.cpp entry
    in debian/copyright.
  * Add comment with source code reference for src/hrtmon.rom.cpp
    in debian/copyright.
  * Add comment with source code reference for src/cdrom-handler.cpp
    in debian/copyright.
  * Add Debian patch to disable the JIT compiler on anything but i386.
  * Add Debian patch to provide generic access functions to the virtual
    Amiga's memory to support architectures other than x86, PPC and ARMEL.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 05 Nov 2013 00:19:26 +0100

fs-uae (2.2.3+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #680899)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 01 Nov 2013 14:33:54 +0100
