=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=launcher
	make -C launcher -f Makefile.mk

override_dh_auto_install:
	make install prefix=$$(pwd)/debian/fs-uae/usr
	make -C launcher -f Makefile.mk install prefix=$$(pwd)/debian/fs-uae-launcher/usr
	cd launcher && python setup.py install --no-compile --install-layout=deb --root=../debian/fs-uae-launcher --install-lib=/usr/share/fs-uae-launcher --install-scripts=/usr/share/fs-uae-launcher
	cd server && python setup.py install --no-compile --install-layout=deb --root=../debian/fs-uae-netplay-server --install-lib=/usr/share/fs-uae-netplay-server --install-scripts=/usr/share/fs-uae-netplay-server

%:
	dh $@
